/*
 * Start.cpp
 *
 *  Created on: Feb 10, 2024
 *      Author: Gabriel
 */

#include "start.hpp"
#include "GPIO_Pin_STM32.hpp"
#include "BinLeds.hpp"
#include "ExampleInterruptibleClass.hpp"

GPIO_Pin_STM32 ledOrange(LD3_GPIO_Port, LD3_Pin);
GPIO_Pin_STM32 ledGreen(LD4_GPIO_Port, LD4_Pin);
GPIO_Pin_STM32 ledRed(LD5_GPIO_Port, LD5_Pin);
GPIO_Pin_STM32 ledBlue(LD6_GPIO_Port, LD6_Pin);
BinLeds discoveryLeds((GPIO_Pin*[]){&ledOrange, &ledGreen, &ledRed, &ledBlue}, 4);

GPIO_Pin_STM32 blueButton(B1_GPIO_Port, B1_Pin);
ExampleInterruptibleClass exampleInterruptibleObject(&blueButton);

void start(){
	exampleInterruptibleObject.init();
}
